t.rast.colors(1)

NAME
t.rast.colors.py - Creates/modifies the color table associated with each raster map of the space time raster dataset.

KEYWORDS
temporal, color table, raster

SYNOPSIS
t.rast.colors.py
t.rast.colors.py --help
t.rast.colors.py [-rwlngae] input=name [color=style] [raster=name] [raster_3d=name] [rules=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Remove existing color table

-w
    Only write new color table if it does not already exist

-l
    List available rules then exit

-n
    Invert colors

-g
    Logarithmic scaling

-a
    Logarithmic-absolute scaling

-e
    Histogram equalization

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time raster dataset

color=style
    Name of color table (see r.color help)
    Options: aspect, aspectcolr, bcyr, bgyr, blues, byg, byr, celsius, corine, curvature, differences, elevation, etopo2, evi, fahrenheit, gdd, greens, grey, grey.eq, grey.log, grey1.0, grey255, gyr, haxby, kelvin, ndvi, ndwi, oranges, population, population_dens, precipitation, precipitation_daily, precipitation_monthly, rainbow, ramp, random, reds, rstcurv, ryb, ryg, sepia, slope, srtm, srtm_plus, terrain, wave
    aspect: aspect oriented grey colors
    aspectcolr: aspect oriented rainbow colors
    bcyr: blue through cyan through yellow to red
    bgyr: blue through green through yellow to red
    blues: white to blue
    byg: blue through yellow to green
    byr: blue through yellow to red
    celsius: blue to red for degree Celsius temperature
    corine: EU Corine land cover colors
    curvature: for terrain curvatures (from v.surf.rst and r.slope.aspect)
    differences: differences oriented colors
    elevation: maps relative ranges of raster values to elevation color ramp
    etopo2: colors for ETOPO2 worldwide bathymetry/topography
    evi: enhanced vegetative index colors
    fahrenheit: blue to red for Fahrenheit temperature
    gdd: accumulated growing degree days
    greens: white to green
    grey: grey scale
    grey.eq: histogram-equalized grey scale
    grey.log: histogram logarithmic transformed grey scale
    grey1.0: grey scale for raster values between 0.0-1.0
    grey255: grey scale for raster values between 0-255
    gyr: green through yellow to red
    haxby: relative colors for bathymetry or topography
    kelvin: blue to red for temperature in Kelvin scale
    ndvi: Normalized Difference Vegetation Index colors
    ndwi: Normalized Difference Water Index colors
    oranges: white to orange
    population: color table covering human population classification breaks
    population_dens: color table covering human population density classification breaks
    precipitation: precipitation color table (0..2000mm)
    precipitation_daily: precipitation color table (0..1000mm)
    precipitation_monthly: precipitation color table (0..1000mm)
    rainbow: rainbow color table
    ramp: color ramp
    random: random color table
    reds: white to red
    rstcurv: terrain curvature (from r.resamp.rst)
    ryb: red through yellow to blue
    ryg: red through yellow to green
    sepia: yellowish-brown through to white
    slope: r.slope.aspect-type slope colors for raster values 0-90
    srtm: color palette for Shuttle Radar Topography Mission elevation
    srtm_plus: color palette for Shuttle Radar Topography Mission elevation (with seafloor colors)
    terrain: global elevation color table covering -11000 to +8850m
    wave: color wave

raster=name
    Raster map from which to copy color table

raster_3d=name
    3D raster map from which to copy color table

rules=name
    Path to rules file

DESCRIPTION
t.rast.colors computes a color table based on all registered maps of a space time raster dataset and to assign this color table to each map. Hence the created color table reflects the data range of the space time raster dataset. This module is a simple wrapper around r.colors. All options of r.colors are supported. Internally a file with map names is created and passed to the file option of r.colors.

Please have a look at the r.colors manual page for further information.

EXAMPLE
Set Celsius color table to monthly dataset

t.rast.colors input=tempmean_monthly color=celsius
r.colors.out map=2009_01_tempmean
-80 0:0:40
-40 91:10:168
-30 220:220:220
-25 91:50:128
-20 50:0:150
-15 4:25:130
-10 8:54:106
-8 4:20:150
-5 0:50:255
-2 8:10:118
-0.061449 8:113:155
0.013855 8:118:157
0.090594 8:123:158
0.168767 8:128:159
0.248375 8:133:159
0.329417 8:136:160
...
40.6976 183:163:163
41.0483 185:167:167
41.4004 188:170:171
41.754 190:174:174
42.109 191:178:178
42.4655 193:182:182
42.8233 195:185:185
43.1827 197:189:189
43.5434 199:192:193
43.9056 200:197:197
44.2692 202:200:201
44.6342 204:204:204
45.0007 206:206:206
80 155:10:155
nv 255:255:255
default 255:255:255

SEE ALSO
r.colors

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

Last changed: $Date: 2015-01-25 18:56:33 +0100 (ne, 25 1 2015) $

Main index | Temporal index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual